## MLNX_OFED_SRC-debian-25.10-1.2.8.0.tgz

=== Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2007-2017 Nicira, Inc.
# Copyright (c) 2023-2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2013 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009-2018 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009, 2010, 2011, 2012, 2014, 2016 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2013 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2017 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009, 2010, 2011, 2012, 2014 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright 2015 Cloudbase Solutions Srl
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License.You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.See the
# License for the specific language governing permissions and limitations
# under the License.

# Copyright (C) 2016 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/doca-openvswitch
pkglibdir = $(libdir)/doca-openvswitch
pkglibexecdir = $(libexecdir)/doca-openvswitch
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = -I $(top_srcdir)/include/windows -I \
#	$(top_srcdir)/datapath-windows/include \
#	$(PTHREAD_INCLUDES) $(MSVC_CFLAGS)
#am__append_2 = $(PTHREAD_LDFLAGS) $(MSVC64_LDFLAGS)
#am__append_3 = -D_FILE_OFFSET_BITS=64 \
#	-DALLOW_EXPERIMENTAL_API
#am__append_4 = -DDOCA_ALLOW_EXPERIMENTAL_API
#am__append_5 = -DNDEBUG
#am__append_6 = -fomit-frame-pointer
bin_PROGRAMS = utilities/ovs-appctl$(EXEEXT) \
	utilities/ovs-testcontroller$(EXEEXT) \
	utilities/ovs-dpctl$(EXEEXT) utilities/ovs-ofctl$(EXEEXT) \
	utilities/ovs-vsctl$(EXEEXT) ovsdb/ovsdb-tool$(EXEEXT) \
	ovsdb/ovsdb-client$(EXEEXT) vtep/vtep-ctl$(EXEEXT)
sbin_PROGRAMS = vswitchd/ovs-vswitchd$(EXEEXT) \
	ovsdb/ovsdb-server$(EXEEXT)
EXTRA_PROGRAMS = $(am__EXEEXT_1)
noinst_PROGRAMS = $(am__EXEEXT_2) tests/test-ovsdb$(EXEEXT) \
	tests/test-lib$(EXEEXT) tests/ovstest$(EXEEXT) \
	tests/test-stream$(EXEEXT) tests/test-strtok_r$(EXEEXT) \
	tests/test-type-props$(EXEEXT)
#am__append_7 = manpage-check
#am__append_8 = manpage-check
#am__append_9 = flake8-check
#am__append_10 = ovsext
#am__append_11 = ovsext_clean
#am__append_12 = docs-check
#am__append_13 = docs-check
#am__append_14 = clean-docs

# Only build the manpage if DOCA_OFFLOAD is enabled
#am__append_15 = \
#	ovs-doca-tcpdump.8.rst


# we use DPDK_NETDEV as we use dpif-doca for dpdk as well
#am__append_16 = lib/dpif-doca-tcpdump-hooks.inc
#am__append_17 = ${PTHREAD_LIBS}

# Build library of avx512 code with CPU ISA CFLAGS enabled. This allows the
# compiler to use the ISA features required for the ISA optimized code-paths.
# Use LDFLAGS to compile only static library of this code, as it should be
# statically linked into vswitchd even if vswitchd is a shared build.
am__append_18 = lib/libopenvswitchavx512.la
am__append_19 = lib/libopenvswitchavx512.la
am__append_20 = \
	-mavx512bw \
	-mavx512vl

am__append_21 = \
	lib/dpif-doca-extract-avx512.c \
	lib/dpif-doca-lookup-avx512-gather.c \
	lib/dpif-netdev-extract-avx512.c \
	lib/dpif-netdev-lookup-avx512-gather.c

am__append_22 = \
	lib/odp-execute-avx512.c

#am__append_23 = \
#	lib/daemon-windows.c \
#	lib/getopt_long.c \
#	lib/getrusage-windows.c \
#	lib/latch-windows.c \
#	lib/route-table-stub.c \
#	lib/if-notifier-stub.c \
#	lib/stream-windows.c \
#	lib/strsep.c

am__append_24 = \
	lib/daemon-unix.c \
	lib/latch-unix.c \
	lib/signals.c \
	lib/signals.h \
	lib/socket-util-unix.c \
	lib/stream-unix.c

am__append_25 = -Wno-unused
am__append_26 = -Wno-unused-parameter
am__append_27 = \
	lib/dpif-netlink.c \
	lib/dpif-netlink.h \
	lib/dpif-netlink-rtnl.c \
	lib/dpif-netlink-rtnl.h \
	lib/if-notifier.c \
	lib/introspect.c \
	lib/netdev-linux.c \
	lib/netdev-linux.h \
	lib/netdev-linux-private.h \
	lib/netdev-offload-tc.c \
	lib/netlink-conntrack.c \
	lib/netlink-conntrack.h \
	lib/netlink-notifier.c \
	lib/netlink-notifier.h \
	lib/netlink-protocol.h \
	lib/netlink-socket.c \
	lib/netlink-socket.h \
	lib/rtnetlink.c \
	lib/rtnetlink.h \
	lib/route-table.c \
	lib/route-table.h \
	lib/tc.c \
	lib/tc.h

#am__append_28 = \
#	lib/netdev-afxdp-pool.c \
#	lib/netdev-afxdp-pool.h \
#	lib/netdev-afxdp.c \
#	lib/netdev-afxdp.h

#am__append_29 = \
#	lib/dpdk.c \
#	lib/netdev-dpdk.c \
#	lib/netdev-offload-dpdk.c

am__append_30 = \
	lib/dpdk-stub.c

#am__append_31 = \
#	lib/batch.h \
#	lib/concurrent-array.c \
#	lib/concurrent-array.h \
#	lib/id-refmap.c \
#	lib/id-refmap.h \
#	lib/dpdk-offload-provider.h \
#	lib/dpif-doca-extract-study.c \
#	lib/dpif-doca-lookup.h \
#	lib/dpif-doca-lookup.c \
#	lib/dpif-doca-lookup-autovalidator.c \
#	lib/dpif-doca-lookup-generic.c \
#	lib/dpif-doca.c \
#	lib/dpif-doca.h \
#	lib/dpif-doca-ext.c \
#	lib/dpif-doca-ext.h \
#	lib/dpif-doca-metrics.c \
#	lib/dpif-doca-metrics.h \
#	lib/dpif-doca-private-dfc.c \
#	lib/dpif-doca-private-dfc.h \
#	lib/dpif-doca-private-dpcls.h \
#	lib/dpif-doca-private-dpif.c \
#	lib/dpif-doca-private-dpif.h \
#	lib/dpif-doca-private-extract.c \
#	lib/dpif-doca-private-extract.h \
#	lib/dpif-doca-private-flow.h \
#	lib/dpif-doca-private-thread.h \
#	lib/dpif-doca-private.h \
#	lib/dpif-doca-tcpdump.c \
#	lib/dpif-doca-tcpdump.h \
#	lib/netdev-doca.c \
#	lib/netdev-doca.h \
#	lib/netdev-doca-ext.c \
#	lib/netdev-doca-ext.h \
#	lib/netdev-doca-vdpa.c \
#	lib/netdev-doca-vdpa.h \
#	lib/netdev-offload-doca.c \
#	lib/netdev-offload-doca.h \
#	lib/refmap.c \
#	lib/refmap.h \
#	lib/salloc.c \
#	lib/salloc.h

#am__append_32 = \
#	lib/doca-action-split.h \
#	lib/doca-action-split.c \
#	lib/doca-pipe-group.h \
#	lib/doca-pipe-group.c \
#	lib/doca-mirror.h \
#	lib/doca-mirror.c \
#	lib/dpdk-offload-doca.c \
#	lib/dpdk-offload-doca.h \
#	lib/ovs-doca.h \
#	lib/ovs-doca.c

am__append_33 = \
	lib/ovs-doca.h \
	lib/ovs-doca-stub.c

#am__append_34 = \
#	lib/dpif-netlink.c \
#	lib/dpif-netlink.h \
#	lib/dpif-netlink-rtnl.h \
#	lib/netdev-windows.c \
#	lib/netlink-conntrack.c \
#	lib/netlink-conntrack.h \
#	lib/netlink-notifier.c \
#	lib/netlink-notifier.h \
#	lib/netlink-protocol.h \
#	lib/netlink-socket.c \
#	lib/netlink-socket.h \
#	lib/wmi.c \
#	lib/wmi.h

am__append_35 = lib/async-append-aio.c
#am__append_36 = lib/async-append-null.c
#am__append_37 = \
#	lib/if-notifier-bsd.c \
#	lib/netdev-bsd.c \
#	lib/rtbsd.c \
#	lib/rtbsd.h \
#	lib/route-table-bsd.c

#am__append_38 = lib/stream-ssl.c lib/dhparams.c
am__append_39 = lib/stream-nossl.c
#am__append_40 = lib/dns-resolve.c
am__append_41 = lib/dns-resolve-stub.c
#am__append_42 = lib/dpif-doca-tcpdump-hooks.inc
#am__append_43 = ${PTHREAD_LIBS}
#am__append_44 = \
#	utilities/ovs-doca-tcpdump

#am__append_45 = \
#	utilities/ovs-doca-tcpdump.in

am__append_46 = utilities/nlmon
#am__append_47 = \
#	utilities/ovs-doca-tcpdump.in

#am__append_48 = \
#	tests/test-concurrent-array.c \
#	tests/test-id-refmap.c \
#	tests/test-refmap.c \
#	tests/test-salloc.c

am__append_49 = \
	tests/test-unix-socket.c

am__append_50 = \
	tests/test-lib-route-table.c \
	tests/test-netlink-conntrack.c \
	tests/test-netlink-policy.c

#am__append_51 = $(TESTPKI_FILES)
#am__append_52 = $(TESTPKI_FILES) tests/ovs-pki.log
#am__append_53 = clean-pki

# we use DPDK_NETDEV as we use dpif-doca for dpdk as well
#am__append_54 = \
#	include/dpif-doca-tcpdump-hooks.h

#am__append_55 = \
#	include/dpif-doca-tcpdump-hooks.h
