=== drivers/net/ethernet/mellanox/mlx5/core/steering/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
GCOV_PROFILE := $(CONFIG_MLX5_GCOV)

subdir-ccflags-y += -I$(src)/..
