=== debian/control ===
Source: doca-openvswitch
Section: net
Priority: optional
Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders:
 Simon Horman <horms@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Luca Boccassi <bluca@debian.org>,
 Christian Ehrhardt <christian.ehrhardt@canonical.com>,
Build-Depends:
 autoconf (>= 2.64),
 automake (>= 1.10),
 bzip2,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 dh-sequence-python3,
 graphviz,
 iproute2,
 libcap-ng-dev,
 libdbus-1-dev [amd64 i386 ppc64el arm64],
 libnuma-dev [amd64 i386 ppc64el arm64],
 libpcap-dev [amd64 i386 ppc64el arm64],
 libssl-dev,
 libtool,
 libunbound-dev,
 openssl,
 pkg-config,
 procps,
 python3-all-dev,
 python3-setuptools,
 python3-sortedcontainers,
 python3-sphinx,
 libdoca-sdk-flow-dev <doca>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://openvswitch.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
X-Python3-Version: >= 3.7

Package: doca-openvswitch-common
Architecture: linux-any
Depends:
 openssl,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 openvswitch-common (= 3.3),
Suggests:
 ethtool,
Breaks:
 openvswitch-switch (<< 2.13~),
Replaces:
 openvswitch-switch (<< 2.13~),
 openvswitch-common,
Conflicts:
 openvswitch-common,
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-testcontroller.

Package: doca-openvswitch-ipsec
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 iproute2,
 doca-openvswitch-common (= ${binary:Version}),
 doca-openvswitch-switch (= ${binary:Version}),
 python3-doca-openvswitch (= ${source:Version}),
 strongswan,
 ${misc:Depends},
Suggests: python3:any
Provides:
 openvswitch-ipsec (= 3.3),
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-ipsec,
Conflicts:
 openvswitch-ipsec,
Description: Open vSwitch IPsec tunneling support
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package provides IPsec tunneling support for OVS tunnels.

Package: doca-openvswitch-pki
Architecture: all
Depends:
 doca-openvswitch-common (<< ${source:Version}.1~),
 doca-openvswitch-common (>= ${source:Version}),
 ${misc:Depends},
Replaces:
 openvswitch-pki,
Conflicts:
 openvswitch-pki,
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: doca-openvswitch-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Open vSwitch source code
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Open vSwitch source code to support
 use with the Open Virtual Network (OVN) build.

Package: doca-openvswitch-switch
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 kmod | module-init-tools,
 netbase,
 doca-openvswitch-common (= ${binary:Version}),
 procps,
 python3-netifaces,
 python3-doca-openvswitch (>= ${source:Version}),
 uuid-runtime,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 openvswitch-switch (= 3.3),
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-switch,
Conflicts:
 openvswitch-switch,
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.


Package: doca-openvswitch-test
Architecture: all
Depends:
 python3-twisted,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openvswitch (<< 2.17~),
 openvswitch-common (<< 2.17~),
Replaces:
 python3-openvswitch (<< 2.17~),
 openvswitch-common (<< 2.17~),
 openvswitch-test,
Conflicts:
 openvswitch-test,
Description: Open vSwitch test package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains utilities that are useful to diagnose
 performance and connectivity issues in Open vSwitch setup.

Package: doca-openvswitch-testcontroller
Architecture: linux-any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-testcontroller,
Conflicts:
 openvswitch-testcontroller,
Pre-Depends: ${misc:Pre-Depends}
Depends:
 lsb-base,
 doca-openvswitch-common (= ${binary:Version}),
 doca-openvswitch-pki (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple controller for testing OpenFlow setups
 This controller enables OpenFlow switches that connect to it to act
 as MAC-learning Ethernet switches.  It can be used for initial
 testing of OpenFlow networks.  It is not a necessary or desirable
 part of a production OpenFlow deployment.

Package: doca-openvswitch-vtep
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 lsb-base,
 lsb-release,
 doca-openvswitch-common (>= ${binary:Version}),
 doca-openvswitch-switch (>= ${binary:Version}),
 python3-doca-openvswitch (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python3:any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-vtep,
Conflicts:
 openvswitch-vtep,
Description: Open vSwitch VTEP utilities
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides utilities that are useful to interact with a
 VTEP-configured database and a VTEP emulator.

Package: python3-doca-openvswitch
Architecture: linux-any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 python3-openvswitch (= 3.3),
Suggests:
 python3-netaddr,
 python3-pyparsing,
 python3-unbound,
Breaks:
 python3-openvswitch (<< 2.17~),
Replaces:
 python3-openvswitch,
Conflicts:
 python3-openvswitch,
Description: Python 3 bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Python 3 bindings for Open vSwitch
 database.

Package: doca-openvswitch-dev
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libopenvswitch (<< 2.17~),
 libopenvswitch-dev (<< 2.17~),
 doca-libopenvswitch (<< 2.17~),
 doca-libopenvswitch-dev (<< 2.17~),
Conflicts:
 libopenvswitch (<< 2.17~),
 libopenvswitch-dev (<< 2.17~),
 doca-libopenvswitch (<< 2.17~),
 doca-libopenvswitch-dev (<< 2.17~),
Description: Open vSwitch OpenFlow development package (library, headers)
 This provides shared library, libopenswitch.so and the openvswitch header
 files needed to build an external application.
